[Gimp-user] Gimp-2.3.3 compile problem

2005-08-12 Thread Stephan Hegel
Hi all, When trying to build gimp-2.3.3 - I just want to try the new SIOX based selection tool - I met the following compile problem: gcc -g -O2 -Wall -o .libs/faxg3 faxg3.o g3.o run_tbl.o ../../libgimp/.libs/libgimp-2.0.so ../../libgimpcolor/.libs/libgimpcolor-2.0.so

Re: [Gimp-user] tutorial/screenshots

2005-08-15 Thread Stephan Hegel
Hi all, For those of you who have installed the imagemagick package, try: import -window root root.`date +%Y%m%d%H%M%S`.png for the whole screen. Bind it to a key with your favourite window manager or the xbindkeys utility. Kind regards, Stephan.

Re: [Gimp-user] Gimp-2.3.3 compile problem

2005-08-17 Thread Stephan Hegel
Sven Neumann wrote: When trying to build gimp-2.3.3 - I just want to try the new SIOX based selection tool - I met the following compile problem: gcc -g -O2 -Wall -o .libs/faxg3 faxg3.o g3.o run_tbl.o ../../libgimp/.libs/libgimp-2.0.so ../../libgimpcolor/.libs/libgimpcolor-2.0.so

[Gimp-user] Anti-Vignetting

2005-08-19 Thread Stephan Hegel
Hi all, Recently I had to deal with a couple of images with signifcant vignetting in the corners: they were a few % darker. So, I was looking around for an adjustable anti-vignetting filter for Gimp, similar like that one for digikam. Any idea ? Kind regards, Stephan.

Re: [Gimp-user] Anti-Vignetting

2005-08-21 Thread Stephan Hegel
Hi all, If vignetting is perfectly radial, panotools is easy to setup and use. Bruno's tip with the gradient layer can fix even more difficult problems, e.g. when too dark areas aren't radial. Needs a bit more effort, though. Sven's idea sounds interesting but I haven't tried yet. I will keep

[Gimp-user] Gimp-2.3.4 problems

2005-09-27 Thread Stephan Hegel
Hi all, I've installed gimp-2.3.4 right now and met another problem: all pull-down and pop-up menus do have a black background. Black fonts on black background is hard to read, I'm sure. Within the terminal a few message like this pop up: (gimp:23382): Gdk-WARNING **:

Re: [Gimp-user] Decrease many image sizes

2005-11-22 Thread Stephan Hegel
Carol Spears wrote: http://www.gimp.org/tutorials/Basic_Batch/ No, this is not _the_ way for this simple task. The approaches with the ImageMagick tools are much more simple and easier to handle. And: ImageMagick is part of many Linux distributions. So, really no need to dig into Script-Fu for

Re: [Gimp-user] Run GIMP in batch mode ... HOW ?

2006-01-18 Thread Stephan Hegel
Hi, There is a package called batchgimp on freshmeat. Basically it includes Perl scripts with embedded Script-Fu. I modified and used it once to convert a bunch of images to the Gimp pattern format (which cannot be done by Imagemagick, unfortunately). Another choice could be David's Batch

Re: [Gimp-user] Filter for inequality in microfilm brightness ?

2006-02-23 Thread Stephan Hegel
s ver wrote: Digital photos taken from microfilm equipment in public libraries typically come up with inequality in brightness due to imperfect condenser lenses. Gives a bright center and dark corners. (sample at http://users.telenet.be/spica/trial/microfilm.jpg). Has anyone a filter to

Re: [Gimp-user] Re: Time to stick a fork in the GIMP?

2006-03-13 Thread Stephan Hegel
Olivier Ripoll wrote: I was referring to the Michael's sentence about Bugzilla for threads concerning GIMPShop. I am trying to find such threads in Bugzilla, but I can't. You haven't tried, have you ? Point your browser to bugzilla.gnome.org and search for gimpshop. Voila: 309707. Regards,

Re: [Gimp-user] batch convert

2006-04-07 Thread Stephan Hegel
Does ImageMagick support the xcf file format ? Patrick Shanahan wrote: * Adly Mabro [EMAIL PROTECTED] [04-07-06 22:48]: Does anyone know how I can convert a batch of .xcf files to .jpg? Use ImageMagick, put all in one directory and: for i in *.xcf; do convert $i `basename $i jpg`; done

Re: Fwd: [Gimp-user] Re: [magick-users] flatten not work

2006-04-23 Thread Stephan Hegel
Hi, As Sven mentioned there a couple of those scripts on the web: shell scripts with embedded script-fu, pure script-fu, etc. Which one are you using ? If you use that one posted to http://www.gimptalk.com/forum/topic/Gimp-Xcf-Image-Viewer-2399-1.html near the bottom of the page it should

Re: [Gimp-user] New error with 2.3.11 and 2.3.10

2006-10-27 Thread Stephan Hegel
Hi all, I've seen this once and IIRC it turned out that my gimp-2.3 tried to load libgimp / libgimpbase from version 2.2 which is still on the somewhere on my Linux box. I fixed this by installing gimp-2.3 completely under /usr/local/Gimp-2.3 and calling it by a little wrapper named gimpdev:

Re: [Gimp-user] New error with 2.3.11 and 2.3.10

2006-10-28 Thread Stephan Hegel
Hi, Does this affect the functionality of gimp-2.3 ? In that case configure should not allow a --prefix=/usr/local/Gimp-2.3. And: it does not fix the problem what was mentioned on top of the thread. HTH ? No, it does not help at all. Regards, Stephan. Michael Schumacher wrote: Stephan

Re: [Gimp-user] New error with 2.3.11 and 2.3.10

2006-10-28 Thread Stephan Hegel
Michael Schumacher wrote: You mean a GIMP 2.3 build with --prefix=/opt/gimp-2.3 still exhibits the same error on Slackware? Maybe this is something a Slackware user should investigate then. Even on my SuSE 10.0, this would cause the same problem as LD_LIBRARY_PATH does not point to

Re: [Gimp-user] New error with 2.3.11 and 2.3.10

2006-10-29 Thread Stephan Hegel
Sven Neumann wrote: Not if you use the wrapper script that is suggested by the release notes and has already been mentioned here. Yes, I've posted a little wrapper by myself - you haven't read the whole thread carefully, have you ? Honestly: who is reading release notes ? This assumption is

Re: [Gimp-user] New error with 2.3.11 and 2.3.10

2006-10-30 Thread Stephan Hegel
Brendan wrote: I have to respectfully disagree here. When something is being released and it's not even production, then yes, you should read them. In reading them, you would discover the wrapper script. I know because this is how I discovered it, and I am not a Gimp devel, just a user.

Re: [Gimp-user] New error with 2.3.11 and 2.3.10

2006-11-01 Thread Stephan Hegel
Sven Neumann wrote: You are making a wrong assumption here about the target audience of a source release. Users are not the target audience. Users should grab a pre-compiled binary from their distributor or from someone who knows what he's doing and provides one for them. I consider myself

Re: [Gimp-user] New error with 2.3.11 and 2.3.10

2006-11-02 Thread Stephan Hegel
Tom Williams wrote: For the record folks, I've got Gimp 2.2.11 installed in /usr (came with my Linux distro) and Gimp 2.3.12 (used to have 2.3.11) installed in /usr/local/gimp-2.3 and I'm able to run either version without any problems, errors, or wrapper scripts (unless gimp-2.3 is a wrapper

Re: [Gimp-user] New error with 2.3.11 and 2.3.10

2006-11-02 Thread Stephan Hegel
Saul Goode wrote: They don't necessarily *need* the wrapper (that is but one suggested solution to having multiple GIMPs installed concurrently) If you have another suggestion how to run multiple, library-wise incompatible instances of Gimp without using a wrappers, please let me know. Kind

Re: [Gimp-user] New error with 2.3.11 and 2.3.10

2006-11-02 Thread Stephan Hegel
Tom Williams wrote: Sure can. :) START- [EMAIL PROTECTED]:~$ echo $LD_LIBRARY_PATH [EMAIL PROTECTED]:~$ Thanks, Tom. The point is the empty LD_LIBRARY_PATH variable. IIUC, in this case the loader is not forced to search for libs in certain directories. Seems it just

Re: [Gimp-user] New error with 2.3.11 and 2.3.10

2006-11-03 Thread Stephan Hegel
Sven Neumann wrote: Why don't you just pass --enable-binreloc to configure and simply call the resulting binary directly? It will then figure out where to find the libraries and data files relative to the location of the binary. Thanks for this hint. Meanwhile I've solved the problem as

Re: [Gimp-user] Paintbrush Tool Suggestion

2006-12-24 Thread Stephan Hegel
Hi Raeth, May I ask what Ink tool settings you have used to achieve such smooth lines ? Thanks kind regards, Stephan. Raeth wrote: Greetings, When painting beneath lineart, I typically use the paintbrush tool set to a 100% hard brush and size variation. In GIMP I found the

[Gimp-user] Editing image comment

2007-03-08 Thread Stephan Hegel
Hi all, How can I edit an image comment in The Gimp ? I can display it in the Info window but haven't found a way to edit it. Even not in the last user manual ... Thanks kind regards, Stephan. ___ Gimp-user mailing list

Re: [Gimp-user] Editing image comment

2007-03-09 Thread Stephan Hegel
Hi Scott, Thanks for the quick reply. Scott Bicknell wrote: I don't know of a way to edit an existing image's comment, however. There appears to be no way to do that. But I may have overlooked something that someone else here can point out. This is exactly what I'm looking for. Meanwhile

[Gimp-user] Script-Fu error

2007-03-11 Thread Stephan Hegel
Hi there, I've tried Gimp 2.3.15 with the following script: http://turtle.as.arizona.edu/jdsmith/exposure-blend.scm When launching Gimp I get the following error: script-fu-Warning: Error while executing (load /home/steve/.gimp-2.3/scripts/exposure-blend.scm) Error: set!: unbound variable:

Re: [Gimp-user] Script-Fu error

2007-03-12 Thread Stephan Hegel
Hello Sven, Sven Neumann wrote: Since you are using the development version, you should be subscribed to the gimp-developer mailing-list. We haven't written a decent document describing the changes in Script-Fu yet, but you can read about them in the mailing-list archives. Thanks for the

Re: [Gimp-user] Vertical gradients

2007-03-19 Thread Stephan Hegel
Hi Andrew, Andrew Scott wrote: Question: how do I apply a grey or neutral filter with a vertical gradient to the photograph? And how can this gradient be adjusted to suit? I checked the web site and documentation, but my time-limited search did not come up with anything. Might be this is

Re: [Gimp-user] RAW format from digital camera.

2007-04-22 Thread Stephan Hegel
Hi John, John R. Culleton wrote: I cannot find the sources for dcraw, only Mac and Wndoze binaries. I use Linux. Hints? http://cybercom.net/~dcoffin/dcraw Search for dcraw.c - it is only this file. Regards, Stephan. ___ Gimp-user mailing

Re: [Gimp-user] batch script for record covers

2007-04-29 Thread Stephan Hegel
Hi Luigi, [EMAIL PROTECTED] wrote: Yes, I'm running Linux but have **no** experience with ImageMagick. I'll try and follow your hint. This web page might be useful for a quick start: http://hoernle1.de/m/imagick6/ Stephan. ___ Gimp-user

Re: [Gimp-user] GIMP 2.2.15 Release

2007-05-28 Thread Stephan Hegel
Victor Domingos wrote: Is it possible to support the Mac platform, too? That would be really cool... :) http://www.gimp.org/macintosh Rgds, Stephan. ___ Gimp-user mailing list Gimp-user@lists.XCF.Berkeley.EDU

Re: [Gimp-user] Corruption of Graphics Files

2007-06-09 Thread Stephan Hegel
Hi, ASJF wrote: (I have also tried to open it with my favourite emacs... but it contains only @@@). If it contains only @s, what are you going to recover ? Rgds, Stephan. ___ Gimp-user mailing list Gimp-user@lists.XCF.Berkeley.EDU

Re: [Gimp-user] Layer Batch processing in GIMP?

2007-06-26 Thread Stephan Hegel
Hi, Robert Lindsey wrote: Hello, I just downloaded GIMP to a Windows XP computer. I have over 100 images that I would like to put a text layer on to label them before I upload them to a website. Is there a way to batch process this? I suggest to use Imagemagick for this. See:

Re: [Gimp-user] Using Wacom Graphire 4 in GIMP (Mac OS X/X11)

2007-07-03 Thread Stephan Hegel
John R. Culleton wrote: And has anybody used a Wacom tablet with Gimp and Linux? I've used an older Intuos tablet, model GD-0608-R, serial interface with Gimp 2.2. Regards, Stephan. ___ Gimp-user mailing list Gimp-user@lists.XCF.Berkeley.EDU

Re: [Gimp-user] What tablet provides pressure sensitivity when used with Gimp under Linux?

2007-07-07 Thread Stephan Hegel
Johan Vromans wrote: Is that also true for the older (serial) versions? If so, how to enable this? Olivier provided you already a pointer to the Linux wacom project. It deals with serial tablets as well and everything is explained in detail there. Even an extra section is spend on how to enable

Re: [Gimp-user] GIMP video podcast / screencast

2007-08-18 Thread Stephan Hegel
Hi Rolf, First, thanks for the nice and educational video tutorials. After watching #1 to #3 I've re-configured The Gimp on my box ... representing now a similar layout like your's with just one toolbox window open including tabs for other dialogs like layers, channels, etc. in the lower pane.

Re: [Gimp-user] Gimp 2.3.18 and script-fu errors

2007-08-22 Thread Stephan Hegel
David Woodfall wrote: I have just downloaded and tested two scripts and get the same error with each: Error: Set!: Unbound variable: new The scripts are gm-invert and gm-solarize. Is there some incompatability with newer versions of Gimp and these scripts? Is there an easy way to perhaps

[Gimp-user] Gimp 2.4.x and xinput question

2007-11-01 Thread Stephan Hegel
Hi all, I remember that I had to configure Gtk+ and Gimp with the option --with-xinput=xfree when I want to use a Wacom tablet in Gimp on a Linux box. Is this still true ? I can't find this option anymore when running ./configure --help. Regards, Stephan.

Re: [Gimp-user] Gimp 2.4.x and xinput question

2007-11-02 Thread Stephan Hegel
Hi all, Thanks to David and Sven for the quick reply. David Gowers wrote: GIMP has never had that configure option. You need to pass --with-xinput=yes to GTK+ to enable XInput support; where you got 'xfree' from baffles me. From the Linux Wacom Project HOWTO at

[Gimp-user] Gimp 2.4.1 problems with openSuse 10.3

2007-11-02 Thread Stephan Hegel
Hi, I've got the following problem with a self-compiled Gimp 2.4.1 on an openSuse 10.3 box (x86_64) when doing a simple File-New with no image open before: [prompt]/home/steve: gimp *** glibc detected *** gimp: double free or corruption (out): 0x037f2e40 *** Killed Glib2 and Gtk2 and

Re: [Gimp-user] Gimp 2.4.1 problems with openSuse 10.3

2007-11-02 Thread Stephan Hegel
), except that I've chosen another --prefix. Kind regards, Stephan. Alex wrote: glib2-2.14.1-4 gtk2-2.12.0-5.2 (to complete the set:) glibc-2.6.1-18.3 gcc-4.2-24 kernel-default-2.6.22.9-0.4 --- Stephan Hegel [EMAIL PROTECTED] wrote: Thanks Alex, Could you please invoke (see below

[Gimp-user] Tiff and Ufraw plugin problem

2008-03-12 Thread Stephan Hegel
Hi all, I've a file here which is identified as an tiff image by Imagemagick's identify, opens perfectly without any warning in xv, gqview and cinepaint but when I try to open it in Gimp the Ufraw plugin is launched. What could Gimp make thinking that this is a raw image file ... any idea ?

Re: [Gimp-user] Tiff and Ufraw plugin problem

2008-03-14 Thread Stephan Hegel
Hi all, Thanks for the replies, especially Sven's explanation and the pointer to pluginrc. Sven Neumann wrote: Certainly nothing with Exif. My guess is that the Ufraw plug-in claims responsibility for this file. Most probably the magic header that the ufraw loader registers matches for this